Android 4.4.x系 (API 19) にはPromiseが使えるバージョンと使えないバージョンが混在している

Android Studioに付属しているAndroid Virtual Device (Android Emulator) では、API 19相当の端末としてAndroid 4.4.2のエミュレータが起動する。 このエミュレータ上のWebViewでPromiseを実行すると、下記のようなエラーを確認できる。 Uncaught ReferenceError: Promise is not defined 一方Android 4.4.4を搭載した実…